Imports System.Net
Imports System.Runtime.InteropServices
Imports Microsoft.Win32
Imports System.Text.RegularExpressions
Imports System.IO
Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid
Imports System.Threading


''' -----------------------------------------------------------------------------
''' Project	 : WindowsUI
''' Class	 : USALIMS.WindowsUI.MDIMain
''' 
''' -----------------------------------------------------------------------------
''' <summary>
''' The main MDI host for the application.
''' </summary>
''' <remarks>
''' </remarks>
''' <history>
''' 	[westbroc]	8/3/2007
'''         Added F3 shortcut to open Accession/Advanced Search
''' </history>
''' -----------------------------------------------------------------------------
Public Class MDIMain
    Inherits BasePage

#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()
        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        Try
            If disposing Then
                If Not (components Is Nothing) Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        Catch ex As Exception
            ' Swallow exception, added so that user could close application when network is unavailable.
        End Try
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Friend WithEvents dockManager As Infragistics.Win.UltraWinDock.UltraDockManager
    Friend WithEvents _MDIMainUnpinnedTabAreaLeft As Infragistics.Win.UltraWinDock.UnpinnedTabArea
    Friend WithEvents _MDIMainUnpinnedTabAreaRight As Infragistics.Win.UltraWinDock.UnpinnedTabArea
    Friend WithEvents _MDIMainUnpinnedTabAreaTop As Infragistics.Win.UltraWinDock.UnpinnedTabArea
    Friend WithEvents _MDIMainUnpinnedTabAreaBottom As Infragistics.Win.UltraWinDock.UnpinnedTabArea
    Friend WithEvents _MDIMainAutoHideControl As Infragistics.Win.UltraWinDock.AutoHideControl
    Friend WithEvents paneSystemMessages As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBar
    Friend WithEvents UltraExplorerBarContainerControl2 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents txtSystemMessageDetails As Infragistics.Win.UltraWinEditors.UltraTextEditor
    Friend WithEvents WindowDockingArea6 As Infragistics.Win.UltraWinDock.WindowDockingArea
    Friend WithEvents lstSystemMessage As System.Windows.Forms.ListBox
    Protected WithEvents txtFocusHolder As System.Windows.Forms.TextBox
    Friend WithEvents _imageList As System.Windows.Forms.ImageList
    Friend WithEvents mainMenu As Infragistics.Win.UltraWinToolbars.UltraToolbarsManager
    Friend WithEvents _MDIMain_Toolbars_Dock_Area_Left As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _MDIMain_Toolbars_Dock_Area_Right As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _MDIMain_Toolbars_Dock_Area_Top As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _MDIMain_Toolbars_Dock_Area_Bottom As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _validationImages As System.Windows.Forms.ImageList
    Friend WithEvents ToolTipManager As Infragistics.Win.UltraWinToolTip.UltraToolTipManager
    Friend WithEvents DockableWindow3 As Infragistics.Win.UltraWinDock.DockableWindow
    Friend WithEvents UltraExplorerBarContainerControl3 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents UltraExplorerBarContainerControl4 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents UltraExplorerBarContainerControl5 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents UltraExplorerBarContainerControl6 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents WindowDockingArea7 As Infragistics.Win.UltraWinDock.WindowDockingArea
    Friend WithEvents DockableWindow1 As Infragistics.Win.UltraWinDock.DockableWindow
    Friend WithEvents paneRolodex As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBar
    Friend WithEvents UltraExplorerBarContainerControl7 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents UltraExplorerBarContainerControl8 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents UltraExplorerBarContainerControl9 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents UltraExplorerBarContainerControl10 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents containerRolodexItems As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl
    Friend WithEvents cboDropButton As Infragistics.Win.Misc.UltraDropDownButton
    Friend WithEvents upcContainer As Infragistics.Win.Misc.UltraPopupControlContainer
    Protected WithEvents uDeskTopAlert As Infragistics.Win.Misc.UltraDesktopAlert
    Friend WithEvents lblShortcuts As Infragistics.Win.Misc.UltraLabel
    Friend WithEvents _bLogOffWorker As System.ComponentModel.BackgroundWorker
    Friend WithEvents mdiTabbedManager As Infragistics.Win.UltraWinTabbedMdi.UltraTabbedMdiManager
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(MDIMain))
        Dim UltraExplorerBarGroup1 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup()
        Dim Appearance22 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim UltraExplorerBarGroup2 As Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup()
        Dim Appearance23 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance26 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim DockAreaPane1 As Infragistics.Win.UltraWinDock.DockAreaPane = New Infragistics.Win.UltraWinDock.DockAreaPane(Infragistics.Win.UltraWinDock.DockedLocation.DockedRight, New System.Guid("5a745a51-c236-4e16-8d5f-983df52e8cbb"))
        Dim DockableControlPane1 As Infragistics.Win.UltraWinDock.DockableControlPane = New Infragistics.Win.UltraWinDock.DockableControlPane(New System.Guid("d16d7e02-1971-4083-9715-75376f21fe50"), New System.Guid("00000000-0000-0000-0000-000000000000"), -1, New System.Guid("5a745a51-c236-4e16-8d5f-983df52e8cbb"), -1)
        Dim Appearance27 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim DockAreaPane2 As Infragistics.Win.UltraWinDock.DockAreaPane = New Infragistics.Win.UltraWinDock.DockAreaPane(Infragistics.Win.UltraWinDock.DockedLocation.DockedRight, New System.Guid("4a5c37be-178a-4fb8-b87d-3bb44a962176"))
        Dim DockableControlPane2 As Infragistics.Win.UltraWinDock.DockableControlPane = New Infragistics.Win.UltraWinDock.DockableControlPane(New System.Guid("aaa817c2-bee2-43a1-9236-ce755b2695fe"), New System.Guid("00000000-0000-0000-0000-000000000000"), -1, New System.Guid("4a5c37be-178a-4fb8-b87d-3bb44a962176"), -1)
        Dim Appearance28 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim UltraToolbar1 As Infragistics.Win.UltraWinToolbars.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbar("MainMenuBar")
        Dim PopupMenuTool1 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuAccession")
        Dim PopupMenuTool2 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuBilling")
        Dim PopupMenuTool22 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuQualityControl")
        Dim PopupMenuTool3 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuReports")
        Dim PopupMenuTool4 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuMaintenance")
        Dim PopupMenuTool5 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuPALIMS")
        Dim ControlContainerTool1 As Infragistics.Win.UltraWinToolbars.ControlContainerTool = New Infragistics.Win.UltraWinToolbars.ControlContainerTool("menuAccessionNumberControl")
        Dim ButtonTool158 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Open Form")
        Dim PopupMenuTool7 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuAccession")
        Dim ButtonTool1 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewBlank")
        Dim ButtonTool157 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionQuickEntry")
        Dim ButtonTool5 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuReceivingQuickEntry")
        Dim ButtonTool3 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionTemplate")
        Dim ButtonTool92 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionCoggins")
        Dim ButtonTool98 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionCarcassDisposal")
        Dim ButtonTool99 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSingleAnimalExpressEntry")
        Dim ButtonTool112 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPrintBarcodes")
        Dim ButtonTool90 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSpecimenDeliveryVerification")
        Dim ButtonTool6 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewCarcassLoad")
        Dim ButtonTool7 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionEditCarcassLoad")
        Dim ButtonTool8 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("mnuAdvancedFind")
        Dim ButtonTool9 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionWorkList")
        Dim ButtonTool10 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewGroup")
        Dim ButtonTool11 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionFindGroup")
        Dim ButtonTool12 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewSpecimenBatch")
        Dim ButtonTool13 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionFindSpecimenBatch")
        Dim ButtonTool86 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSpecimenDisposition")
        Dim ButtonTool14 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMassResultbyTest")
        Dim ButtonTool15 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMassResultCoggins")
        Dim ButtonTool106 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuInstrumentImport")
        Dim ButtonTool16 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuLimsLinkImport")
        Dim ButtonTool88 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuImportAccession")
        Dim PopupControlContainerTool4 As Infragistics.Win.UltraWinToolbars.PopupControlContainerTool = New Infragistics.Win.UltraWinToolbars.PopupControlContainerTool("menuRecentlyViewedAccessions")
        Dim ButtonTool17 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewBlank")
        Dim ButtonTool18 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuReceivingQuickEntry")
        Dim ButtonTool19 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionTemplate")
        Dim ButtonTool20 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionCoggins")
        Dim ButtonTool21 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionCarcassDisposal")
        Dim ButtonTool22 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewCarcassLoad")
        Dim ButtonTool23 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionEditCarcassLoad")
        Dim ButtonTool24 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("mnuAdvancedFind")
        Dim ButtonTool25 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionWorkList")
        Dim ButtonTool26 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewGroup")
        Dim ButtonTool27 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionFindGroup")
        Dim ButtonTool28 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionNewSpecimenBatch")
        Dim ButtonTool29 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionFindSpecimenBatch")
        Dim ButtonTool30 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMassResultbyTest")
        Dim ButtonTool31 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMassResultCoggins")
        Dim ButtonTool32 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuLimsLinkImport")
        Dim Appearance52 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance21 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool8 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuBilling")
        Dim ButtonTool33 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBillingIndividualAccount")
        Dim ButtonTool34 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBillingNewBillingCycle")
        Dim ButtonTool35 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBillingFindBillingCycle")
        Dim ButtonTool36 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuNewPriceAgreement")
        Dim ButtonTool37 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindPriceAgreement")
        Dim ButtonTool38 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBatchPayments")
        Dim ButtonTool84 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFinanceCharges")
        Dim ButtonTool39 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBillingIndividualAccount")
        Dim Appearance79 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool40 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBillingNewBillingCycle")
        Dim Appearance77 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool41 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBillingFindBillingCycle")
        Dim Appearance78 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool42 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuNewPriceAgreement")
        Dim Appearance75 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool43 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindPriceAgreement")
        Dim Appearance76 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool44 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBatchPayments")
        Dim Appearance74 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool9 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuReports")
        Dim ButtonTool45 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBrowseReports")
        Dim ButtonTool46 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuReportsBulkPrint")
        Dim PopupMenuTool13 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuReportTroubleshooting")
        Dim ButtonTool78 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionQueries")
        Dim ButtonTool2 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuIncidentReports")
        Dim ButtonTool47 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuBrowseReports")
        Dim Appearance30 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool48 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuReportsBulkPrint")
        Dim Appearance80 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool10 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuMaintenance")
        Dim ButtonTool49 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceNewParty")
        Dim ButtonTool50 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceFindParty")
        Dim ButtonTool152 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuNewPartyGroup")
        Dim ButtonTool153 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindPartyGroup")
        Dim ButtonTool51 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceSystemTable")
        Dim ButtonTool52 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceNewUser")
        Dim ButtonTool53 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceFindUser")
        Dim ButtonTool54 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceUserGroups")
        Dim ButtonTool55 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceTemplate")
        Dim ButtonTool56 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMessageRequestQueueMaintenance")
        Dim ButtonTool151 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuDocumentImportMaintenance")
        Dim ButtonTool57 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMyProfile")
        Dim ButtonTool58 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceNewParty")
        Dim ButtonTool59 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceFindParty")
        Dim ButtonTool60 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceSystemTable")
        Dim Appearance31 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool61 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceNewUser")
        Dim Appearance32 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool62 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceFindUser")
        Dim Appearance33 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool63 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindBulkPrints")
        Dim ButtonTool64 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceUserGroups")
        Dim Appearance34 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool65 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMaintenanceTemplate")
        Dim ButtonTool66 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMessageRequestQueueMaintenance")
        Dim ButtonTool67 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuMyProfile")
        Dim PopupMenuTool11 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuPALIMS")
        Dim ButtonTool68 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPALIMSHelp")
        Dim ButtonTool69 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPALIMSAbout")
        Dim ButtonTool107 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPreferences")
        Dim PopupMenuTool20 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuAdministrative")
        Dim PopupMenuTool18 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuCache")
        Dim ButtonTool71 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPALIMSLogout")
        Dim PopupMenuTool12 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuStatusBar")
        Dim PopupMenuTool16 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuTroubleshoot")
        Dim MdiWindowListTool1 As Infragistics.Win.UltraWinToolbars.MdiWindowListTool = New Infragistics.Win.UltraWinToolbars.MdiWindowListTool("menuPALIMSWindowList")
        Dim ButtonTool73 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPALIMSHelp")
        Dim Appearance35 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool74 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPALIMSAbout")
        Dim ButtonTool75 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuRefreshLocalCache")
        Dim Appearance36 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool76 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPALIMSLogout")
        Dim Appearance37 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim MdiWindowListTool2 As Infragistics.Win.UltraWinToolbars.MdiWindowListTool = New Infragistics.Win.UltraWinToolbars.MdiWindowListTool("menuPALIMSWindowList")
        Dim PopupMenuTool6 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuStatusBar")
        Dim ButtonTool82 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuExportStatusList")
        Dim ButtonTool83 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuExportStatusList")
        Dim Appearance69 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim LabelTool3 As Infragistics.Win.UltraWinToolbars.LabelTool = New Infragistics.Win.UltraWinToolbars.LabelTool("menuQuickSearchLabel")
        Dim ControlContainerTool2 As Infragistics.Win.UltraWinToolbars.ControlContainerTool = New Infragistics.Win.UltraWinToolbars.ControlContainerTool("menuAccessionNumberControl")
        Dim ControlContainerTool4 As Infragistics.Win.UltraWinToolbars.ControlContainerTool = New Infragistics.Win.UltraWinToolbars.ControlContainerTool("menuQuickSearchButton")
        Dim ButtonTool80 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuDeleteRefreshLocalCache")
        Dim Appearance61 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool85 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFinanceCharges")
        Dim ButtonTool87 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuImportAccession")
        Dim PopupControlContainerTool3 As Infragistics.Win.UltraWinToolbars.PopupControlContainerTool = New Infragistics.Win.UltraWinToolbars.PopupControlContainerTool("menuRecentlyViewedAccessions")
        Dim ButtonTool89 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSpecimenDisposition")
        Dim ButtonTool91 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSpecimenDeliveryVerification")
        Dim PopupMenuTool14 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuQuickEntryForms")
        Dim ButtonTool97 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSingleAnimalExpressEntry")
        Dim ButtonTool4 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuIncidentReports")
        Dim Appearance47 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool15 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuReportTroubleshooting")
        Dim Appearance50 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool93 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuTestReportingServicesConnection")
        Dim ButtonTool95 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuReauthenticateReportingServices")
        Dim ButtonTool100 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuRunTestReport")
        Dim ButtonTool96 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuReauthenticateReportingServices")
        Dim Appearance49 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool94 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuTestReportingServicesConnection")
        Dim Appearance15 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool101 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuRunTestReport")
        Dim Appearance62 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool17 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuTroubleshoot")
        Dim Appearance63 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool102 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuVerboseMode")
        Dim ButtonTool114 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuLog4JViewer")
        Dim ButtonTool103 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuVerboseMode")
        Dim Appearance64 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool104 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuInstrumentImport")
        Dim Appearance53 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool105 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPreferences")
        Dim Appearance29 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool77 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFlushCache")
        Dim Appearance68 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool19 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuAdministrative")
        Dim Appearance70 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool149 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuApplicationAreas")
        Dim ButtonTool144 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuApplicationObjects")
        Dim ButtonTool140 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuApplicationSettings")
        Dim ButtonTool156 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuClientCacheSQLStatements")
        Dim ButtonTool81 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFlushCache")
        Dim ButtonTool141 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuResources")
        Dim ButtonTool79 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSecurityStore")
        Dim ButtonTool145 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSystemTables")
        Dim ButtonTool139 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuTypeKeyReferences")
        Dim ButtonTool72 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSecurityStore")
        Dim Appearance24 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool21 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuCache")
        Dim Appearance56 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool108 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuRefreshLocalCache")
        Dim ButtonTool109 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuDeleteRefreshLocalCache")
        Dim ButtonTool70 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuApplicationSettings")
        Dim Appearance1 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool111 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("PrintBarcodes")
        Dim ButtonTool113 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuPrintBarcodes")
        Dim ButtonTool110 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuLog4JViewer")
        Dim Appearance38 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim PopupMenuTool23 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuQualityControl")
        Dim ButtonTool115 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCTestRun")
        Dim ButtonTool116 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindQCTestRun")
        Dim PopupMenuTool24 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuQCMaintenance")
        Dim ButtonTool117 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCTestRun")
        Dim ButtonTool118 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindQCTestRun")
        Dim PopupMenuTool25 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("menuQCMaintenance")
        Dim ButtonTool132 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCTests")
        Dim ButtonTool120 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSpecimens")
        Dim ButtonTool135 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSpecimenLots")
        Dim ButtonTool121 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCReagentsMaintenance")
        Dim ButtonTool130 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCReagentLotsMaintenance")
        Dim ButtonTool131 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCCorrectiveActions")
        Dim ButtonTool128 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSpecimenTypes")
        Dim ButtonTool129 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSuppliers")
        Dim ButtonTool122 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCReagentsLots")
        Dim ButtonTool123 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSpecimens")
        Dim ButtonTool124 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCTests")
        Dim ButtonTool125 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSpecimenTypes")
        Dim ButtonTool126 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSuppliers")
        Dim ButtonTool127 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCCorrectiveActions")
        Dim ButtonTool133 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCReagentsMaintenance")
        Dim ButtonTool134 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCReagentLotsMaintenance")
        Dim ButtonTool136 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuQCSpecimenLots")
        Dim ButtonTool119 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuResources")
        Dim Appearance39 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool138 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuTypeKeyReferences")
        Dim Appearance60 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool137 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionQueries")
        Dim ButtonTool142 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuApplicationObjects")
        Dim Appearance54 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool143 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuSystemTables")
        Dim Appearance55 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool148 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuApplicationAreas")
        Dim Appearance48 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool146 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuNewPartyGroup")
        Dim Appearance42 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool147 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuFindPartyGroup")
        Dim Appearance46 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool150 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuDocumentImportMaintenance")
        Dim Appearance40 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool154 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuClientCacheSQLStatements")
        Dim Appearance57 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim ButtonTool155 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("menuAccessionQuickEntry")
        Dim ButtonTool159 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Open Form")
        Dim Appearance41 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance51 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance13 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance44 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance45 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Dim Appearance43 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance()
        Me.UltraExplorerBarContainerControl2 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.lblShortcuts = New Infragistics.Win.Misc.UltraLabel()
        Me.lstSystemMessage = New System.Windows.Forms.ListBox()
        Me.txtSystemMessageDetails = New Infragistics.Win.UltraWinEditors.UltraTextEditor()
        Me.containerRolodexItems = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.paneSystemMessages = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBar()
        Me.paneRolodex = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBar()
        Me.cboDropButton = New Infragistics.Win.Misc.UltraDropDownButton()
        Me.upcContainer = New Infragistics.Win.Misc.UltraPopupControlContainer(Me.components)
        Me.dockManager = New Infragistics.Win.UltraWinDock.UltraDockManager(Me.components)
        Me._MDIMainUnpinnedTabAreaLeft = New Infragistics.Win.UltraWinDock.UnpinnedTabArea()
        Me._MDIMainUnpinnedTabAreaRight = New Infragistics.Win.UltraWinDock.UnpinnedTabArea()
        Me._MDIMainUnpinnedTabAreaTop = New Infragistics.Win.UltraWinDock.UnpinnedTabArea()
        Me._MDIMainUnpinnedTabAreaBottom = New Infragistics.Win.UltraWinDock.UnpinnedTabArea()
        Me._MDIMainAutoHideControl = New Infragistics.Win.UltraWinDock.AutoHideControl()
        Me.DockableWindow1 = New Infragistics.Win.UltraWinDock.DockableWindow()
        Me.DockableWindow3 = New Infragistics.Win.UltraWinDock.DockableWindow()
        Me.WindowDockingArea6 = New Infragistics.Win.UltraWinDock.WindowDockingArea()
        Me.txtFocusHolder = New System.Windows.Forms.TextBox()
        Me._imageList = New System.Windows.Forms.ImageList(Me.components)
        Me.mainMenu = New Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(Me.components)
        Me._MDIMain_Toolbars_Dock_Area_Left = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me._MDIMain_Toolbars_Dock_Area_Right = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me._MDIMain_Toolbars_Dock_Area_Top = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me._MDIMain_Toolbars_Dock_Area_Bottom = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me.ToolTipManager = New Infragistics.Win.UltraWinToolTip.UltraToolTipManager(Me.components)
        Me._validationImages = New System.Windows.Forms.ImageList(Me.components)
        Me.UltraExplorerBarContainerControl3 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.UltraExplorerBarContainerControl4 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.UltraExplorerBarContainerControl5 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.UltraExplorerBarContainerControl6 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.WindowDockingArea7 = New Infragistics.Win.UltraWinDock.WindowDockingArea()
        Me.UltraExplorerBarContainerControl7 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.UltraExplorerBarContainerControl8 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.UltraExplorerBarContainerControl9 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.UltraExplorerBarContainerControl10 = New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarContainerControl()
        Me.uDeskTopAlert = New Infragistics.Win.Misc.UltraDesktopAlert(Me.components)
        Me.mdiTabbedManager = New Infragistics.Win.UltraWinTabbedMdi.UltraTabbedMdiManager(Me.components)
        Me._bLogOffWorker = New System.ComponentModel.BackgroundWorker()
        Me.UltraExplorerBarContainerControl2.SuspendLayout()
        CType(Me.txtSystemMessageDetails, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.paneSystemMessages, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.paneSystemMessages.SuspendLayout()
        CType(Me.paneRolodex, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.paneRolodex.SuspendLayout()
        CType(Me.dockManager, System.ComponentModel.ISupportInitialize).BeginInit()
        Me._MDIMainAutoHideControl.SuspendLayout()
        Me.DockableWindow1.SuspendLayout()
        Me.DockableWindow3.SuspendLayout()
        CType(Me.mainMenu, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.uDeskTopAlert, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.mdiTabbedManager, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'UltraExplorerBarContainerControl2
        '
        Me.UltraExplorerBarContainerControl2.Controls.Add(Me.lblShortcuts)
        Me.UltraExplorerBarContainerControl2.Controls.Add(Me.lstSystemMessage)
        Me.UltraExplorerBarContainerControl2.Controls.Add(Me.txtSystemMessageDetails)
        Me.UltraExplorerBarContainerControl2.Location = New System.Drawing.Point(28, 47)
        Me.UltraExplorerBarContainerControl2.Name = "UltraExplorerBarContainerControl2"
        Me.UltraExplorerBarContainerControl2.Size = New System.Drawing.Size(265, 588)
        Me.UltraExplorerBarContainerControl2.TabIndex = 1
        '
        'lblShortcuts
        '
        Me.lblShortcuts.Location = New System.Drawing.Point(0, 334)
        Me.lblShortcuts.Name = "lblShortcuts"
        Me.lblShortcuts.Size = New System.Drawing.Size(272, 251)
        Me.lblShortcuts.TabIndex = 4
        Me.lblShortcuts.Text = resources.GetString("lblShortcuts.Text")
        '
        'lstSystemMessage
        '
        Me.lstSystemMessage.BackColor = System.Drawing.SystemColors.Control
        Me.lstSystemMessage.DisplayMember = "SystemMessages.MessageTitle"
        Me.lstSystemMessage.Location = New System.Drawing.Point(0, 16)
        Me.lstSystemMessage.Name = "lstSystemMessage"
        Me.lstSystemMessage.Size = New System.Drawing.Size(272, 160)
        Me.lstSystemMessage.TabIndex = 3
        Me.lstSystemMessage.ValueMember = "SystemMessages.SystemMessageKey"
        '
        'txtSystemMessageDetails
        '
        Me.txtSystemMessageDetails.Location = New System.Drawing.Point(0, 192)
        Me.txtSystemMessageDetails.Multiline = True
        Me.txtSystemMessageDetails.Name = "txtSystemMessageDetails"
        Me.txtSystemMessageDetails.ReadOnly = True
        Me.txtSystemMessageDetails.Size = New System.Drawing.Size(272, 127)
        Me.txtSystemMessageDetails.TabIndex = 1
        '
        'containerRolodexItems
        '
        Me.containerRolodexItems.Cursor = System.Windows.Forms.Cursors.Hand
        Me.containerRolodexItems.Location = New System.Drawing.Point(28, 49)
        Me.containerRolodexItems.Name = "containerRolodexItems"
        Me.containerRolodexItems.Size = New System.Drawing.Size(242, 150)
        Me.containerRolodexItems.TabIndex = 1
        '
        'paneSystemMessages
        '
        Me.paneSystemMessages.Controls.Add(Me.UltraExplorerBarContainerControl2)
        UltraExplorerBarGroup1.Container = Me.UltraExplorerBarContainerControl2
        Appearance22.Image = CType(resources.GetObject("Appearance22.Image"), Object)
        UltraExplorerBarGroup1.Settings.AppearancesSmall.HeaderAppearance = Appearance22
        UltraExplorerBarGroup1.Settings.ContainerHeight = 588
        UltraExplorerBarGroup1.Text = "System Messages"
        Me.paneSystemMessages.Groups.AddRange(New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup() {UltraExplorerBarGroup1})
        Me.paneSystemMessages.GroupSettings.AllowEdit = Infragistics.Win.DefaultableBoolean.[False]
        Me.paneSystemMessages.GroupSettings.Style = Infragistics.Win.UltraWinExplorerBar.GroupStyle.ControlContainer
        Me.paneSystemMessages.Location = New System.Drawing.Point(0, 26)
        Me.paneSystemMessages.Name = "paneSystemMessages"
        Me.paneSystemMessages.ShowDefaultContextMenu = False
        Me.paneSystemMessages.Size = New System.Drawing.Size(331, 472)
        Me.paneSystemMessages.TabIndex = 19
        Me.paneSystemMessages.UseLargeGroupHeaderImages = Infragistics.Win.DefaultableBoolean.[False]
        '
        'paneRolodex
        '
        Me.paneRolodex.Controls.Add(Me.containerRolodexItems)
        Me.paneRolodex.Cursor = System.Windows.Forms.Cursors.Hand
        UltraExplorerBarGroup2.Container = Me.containerRolodexItems
        UltraExplorerBarGroup2.Key = "FoundSet"
        Appearance23.Image = CType(resources.GetObject("Appearance23.Image"), Object)
        UltraExplorerBarGroup2.Settings.AppearancesSmall.HeaderAppearance = Appearance23
        UltraExplorerBarGroup2.Settings.BorderStyleItemArea = Infragistics.Win.UIElementBorderStyle.None
        UltraExplorerBarGroup2.Settings.Style = Infragistics.Win.UltraWinExplorerBar.GroupStyle.ControlContainer
        UltraExplorerBarGroup2.Text = "Found Set"
        Me.paneRolodex.Groups.AddRange(New Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup() {UltraExplorerBarGroup2})
        Me.paneRolodex.Location = New System.Drawing.Point(0, 26)
        Me.paneRolodex.Name = "paneRolodex"
        Me.paneRolodex.Size = New System.Drawing.Size(291, 472)
        Me.paneRolodex.TabIndex = 21
        Me.paneRolodex.UseLargeGroupHeaderImages = Infragistics.Win.DefaultableBoolean.[False]
        '
        'cboDropButton
        '
        Me.cboDropButton.ButtonStyle = Infragistics.Win.UIElementButtonStyle.WindowsVistaButton
        Me.cboDropButton.Location = New System.Drawing.Point(1, 3)
        Me.cboDropButton.Name = "cboDropButton"
        Me.cboDropButton.PopupItemKey = "gridEvents"
        Me.cboDropButton.PopupItemProvider = Me.upcContainer
        Me.cboDropButton.Size = New System.Drawing.Size(805, 19)
        Me.cboDropButton.TabIndex = 39
        '
        'dockManager
        '
        Me.dockManager.AutoHideDelay = 300
        Appearance26.BackColor = System.Drawing.Color.Gray
        Me.dockManager.DefaultGroupSettings.TabAreaAppearance = Appearance26
        Me.dockManager.DefaultGroupSettings.TabStyle = Infragistics.Win.UltraWinTabs.TabStyle.VisualStudio2005
        DockAreaPane1.DockedBefore = New System.Guid("4a5c37be-178a-4fb8-b87d-3bb44a962176")
        DockableControlPane1.Control = Me.paneSystemMessages
        DockableControlPane1.FlyoutSize = New System.Drawing.Size(331, -1)
        DockableControlPane1.OriginalControlBounds = New System.Drawing.Rectangle(168, 8, 368, 536)
        DockableControlPane1.Pinned = False
        Appearance27.Image = CType(resources.GetObject("Appearance27.Image"), Object)
        DockableControlPane1.Settings.TabAppearance = Appearance27
        DockableControlPane1.Size = New System.Drawing.Size(100, 100)
        DockableControlPane1.Text = "System Messages"
        DockAreaPane1.Panes.AddRange(New Infragistics.Win.UltraWinDock.DockablePaneBase() {DockableControlPane1})
        DockAreaPane1.Size = New System.Drawing.Size(368, 567)
        DockableControlPane2.Control = Me.paneRolodex
        DockableControlPane2.FlyoutSize = New System.Drawing.Size(291, -1)
        DockableControlPane2.Key = "QuickSearch"
        DockableControlPane2.OriginalControlBounds = New System.Drawing.Rectangle(320, 40, 216, 464)
        DockableControlPane2.Pinned = False
        Appearance28.Image = CType(resources.GetObject("Appearance28.Image"), Object)
        DockableControlPane2.Settings.TabAppearance = Appearance28
        DockableControlPane2.Size = New System.Drawing.Size(100, 100)
        DockableControlPane2.Text = "Found Set"
        DockAreaPane2.Panes.AddRange(New Infragistics.Win.UltraWinDock.DockablePaneBase() {DockableControlPane2})
        DockAreaPane2.Settings.AllowPin = Infragistics.Win.DefaultableBoolean.[True]
        DockAreaPane2.Size = New System.Drawing.Size(223, 498)
        Me.dockManager.DockAreas.AddRange(New Infragistics.Win.UltraWinDock.DockAreaPane() {DockAreaPane1, DockAreaPane2})
        Me.dockManager.HostControl = Me
        Me.dockManager.ShowCloseButton = False
        Me.dockManager.ShowDisabledButtons = False
        Me.dockManager.ShowMenuButton = Infragistics.Win.DefaultableBoolean.[False]
        Me.dockManager.UnpinnedTabHoverAction = Infragistics.Win.UltraWinDock.UnpinnedTabHoverAction.None
        Me.dockManager.UnpinnedTabStyle = Infragistics.Win.UltraWinTabs.TabStyle.VisualStudio2005
        Me.dockManager.WindowStyle = Infragistics.Win.UltraWinDock.WindowStyle.Office2007
        '
        '_MDIMainUnpinnedTabAreaLeft
        '
        Me._MDIMainUnpinnedTabAreaLeft.Dock = System.Windows.Forms.DockStyle.Left
        Me._MDIMainUnpinnedTabAreaLeft.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me._MDIMainUnpinnedTabAreaLeft.Location = New System.Drawing.Point(0, 25)
        Me._MDIMainUnpinnedTabAreaLeft.Name = "_MDIMainUnpinnedTabAreaLeft"
        Me._MDIMainUnpinnedTabAreaLeft.Owner = Me.dockManager
        Me._MDIMainUnpinnedTabAreaLeft.Size = New System.Drawing.Size(0, 708)
        Me._MDIMainUnpinnedTabAreaLeft.TabIndex = 2
        '
        '_MDIMainUnpinnedTabAreaRight
        '
        Me._MDIMainUnpinnedTabAreaRight.Dock = System.Windows.Forms.DockStyle.Right
        Me._MDIMainUnpinnedTabAreaRight.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me._MDIMainUnpinnedTabAreaRight.Location = New System.Drawing.Point(1231, 25)
        Me._MDIMainUnpinnedTabAreaRight.Name = "_MDIMainUnpinnedTabAreaRight"
        Me._MDIMainUnpinnedTabAreaRight.Owner = Me.dockManager
        Me._MDIMainUnpinnedTabAreaRight.Size = New System.Drawing.Size(21, 708)
        Me._MDIMainUnpinnedTabAreaRight.TabIndex = 3
        '
        '_MDIMainUnpinnedTabAreaTop
        '
        Me._MDIMainUnpinnedTabAreaTop.Dock = System.Windows.Forms.DockStyle.Top
        Me._MDIMainUnpinnedTabAreaTop.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me._MDIMainUnpinnedTabAreaTop.Location = New System.Drawing.Point(0, 25)
        Me._MDIMainUnpinnedTabAreaTop.Name = "_MDIMainUnpinnedTabAreaTop"
        Me._MDIMainUnpinnedTabAreaTop.Owner = Me.dockManager
        Me._MDIMainUnpinnedTabAreaTop.Size = New System.Drawing.Size(1231, 0)
        Me._MDIMainUnpinnedTabAreaTop.TabIndex = 4
        '
        '_MDIMainUnpinnedTabAreaBottom
        '
        Me._MDIMainUnpinnedTabAreaBottom.Dock = System.Windows.Forms.DockStyle.Bottom
        Me._MDIMainUnpinnedTabAreaBottom.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me._MDIMainUnpinnedTabAreaBottom.Location = New System.Drawing.Point(0, 733)
        Me._MDIMainUnpinnedTabAreaBottom.Name = "_MDIMainUnpinnedTabAreaBottom"
        Me._MDIMainUnpinnedTabAreaBottom.Owner = Me.dockManager
        Me._MDIMainUnpinnedTabAreaBottom.Size = New System.Drawing.Size(1231, 0)
        Me._MDIMainUnpinnedTabAreaBottom.TabIndex = 5
        '
        '_MDIMainAutoHideControl
        '
        Me._MDIMainAutoHideControl.Controls.Add(Me.DockableWindow1)
        Me._MDIMainAutoHideControl.Controls.Add(Me.DockableWindow3)
        Me._MDIMainAutoHideControl.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me._MDIMainAutoHideControl.Location = New System.Drawing.Point(433, 22)
        Me._MDIMainAutoHideControl.Name = "_MDIMainAutoHideControl"
        Me._MDIMainAutoHideControl.Owner = Me.dockManager
        Me._MDIMainAutoHideControl.Size = New System.Drawing.Size(336, 498)
        Me._MDIMainAutoHideControl.TabIndex = 6
        '
        'DockableWindow1
        '
        Me.DockableWindow1.Controls.Add(Me.paneSystemMessages)
        Me.DockableWindow1.Location = New System.Drawing.Point(5, 0)
        Me.DockableWindow1.Name = "DockableWindow1"
        Me.DockableWindow1.Owner = Me.dockManager
        Me.DockableWindow1.Size = New System.Drawing.Size(331, 498)
        Me.DockableWindow1.TabIndex = 30
        '
        'DockableWindow3
        '
        Me.DockableWindow3.Controls.Add(Me.paneRolodex)
        Me.DockableWindow3.Location = New System.Drawing.Point(5, 0)
        Me.DockableWindow3.Name = "DockableWindow3"
        Me.DockableWindow3.Owner = Me.dockManager
        Me.DockableWindow3.Size = New System.Drawing.Size(291, 498)
        Me.DockableWindow3.TabIndex = 31
        '
        'WindowDockingArea6
        '
        Me.WindowDockingArea6.Dock = System.Windows.Forms.DockStyle.Right
        Me.WindowDockingArea6.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.WindowDockingArea6.Location = New System.Drawing.Point(516, 21)
        Me.WindowDockingArea6.Name = "WindowDockingArea6"
        Me.WindowDockingArea6.Owner = Me.dockManager
        Me.WindowDockingArea6.Size = New System.Drawing.Size(373, 567)
        Me.WindowDockingArea6.TabIndex = 20
        '
        'txtFocusHolder
        '
        Me.txtFocusHolder.BackColor = System.Drawing.SystemColors.AppWorkspace
        Me.txtFocusHolder.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.txtFocusHolder.Cursor = System.Windows.Forms.Cursors.Default
        Me.txtFocusHolder.Dock = System.Windows.Forms.DockStyle.Top
        Me.txtFocusHolder.Location = New System.Drawing.Point(0, 25)
        Me.txtFocusHolder.Name = "txtFocusHolder"
        Me.txtFocusHolder.ReadOnly = True
        Me.txtFocusHolder.Size = New System.Drawing.Size(1231, 13)
        Me.txtFocusHolder.TabIndex = 24
        Me.txtFocusHolder.Visible = False
        '
        '_imageList
        '
        Me._imageList.ImageStream = CType(resources.GetObject("_imageList.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me._imageList.TransparentColor = System.Drawing.Color.Transparent
        Me._imageList.Images.SetKeyName(0, "")
        Me._imageList.Images.SetKeyName(1, "")
        Me._imageList.Images.SetKeyName(2, "")
        Me._imageList.Images.SetKeyName(3, "")
        Me._imageList.Images.SetKeyName(4, "textfield_add.png")
        Me._imageList.Images.SetKeyName(5, "textfield_delete.png")
        '
        'mainMenu
        '
        Me.mainMenu.DesignerFlags = 1
        Me.mainMenu.DockWithinContainer = Me
        Me.mainMenu.DockWithinContainerBaseType = GetType(MDIDragExample.BasePage)
        Me.mainMenu.MenuAnimationStyle = Infragistics.Win.UltraWinToolbars.MenuAnimationStyle.Fade
        Me.mainMenu.ShowFullMenusDelay = 500
        UltraToolbar1.DockedColumn = 0
        UltraToolbar1.DockedRow = 0
        UltraToolbar1.FloatingSize = New System.Drawing.Size(740, 20)
        UltraToolbar1.IsMainMenuBar = True
        PopupMenuTool22.Tag = "menuQualityControl"
        PopupMenuTool5.InstanceProps.Spring = Infragistics.Win.DefaultableBoolean.[True]
        ControlContainerTool1.ControlName = "ctlAccessionNumber"
        ControlContainerTool1.InstanceProps.Width = 104
        UltraToolbar1.NonInheritedTools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {PopupMenuTool1, PopupMenuTool2, PopupMenuTool22, PopupMenuTool3, PopupMenuTool4, PopupMenuTool5, ControlContainerTool1, ButtonTool158})
        UltraToolbar1.ShowInToolbarList = False
        Me.mainMenu.Toolbars.AddRange(New Infragistics.Win.UltraWinToolbars.UltraToolbar() {UltraToolbar1})
        PopupMenuTool7.SharedPropsInternal.Caption = "Manage &Accessions"
        PopupMenuTool7.SharedPropsInternal.Category = "Imported"
        PopupMenuTool7.SharedPropsInternal.Visible = False
        ButtonTool90.InstanceProps.IsFirstInGroup = True
        ButtonTool6.InstanceProps.IsFirstInGroup = True
        ButtonTool8.InstanceProps.IsFirstInGroup = True
        ButtonTool10.InstanceProps.IsFirstInGroup = True
        ButtonTool12.InstanceProps.IsFirstInGroup = True
        ButtonTool14.InstanceProps.IsFirstInGroup = True
        ButtonTool106.InstanceProps.IsFirstInGroup = True
        PopupControlContainerTool4.InstanceProps.IsFirstInGroup = True
        PopupMenuTool7.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool1, ButtonTool157, ButtonTool5, ButtonTool3, ButtonTool92, ButtonTool98, ButtonTool99, ButtonTool112, ButtonTool90, ButtonTool6, ButtonTool7, ButtonTool8, ButtonTool9, ButtonTool10, ButtonTool11, ButtonTool12, ButtonTool13, ButtonTool86, ButtonTool14, ButtonTool15, ButtonTool106, ButtonTool16, ButtonTool88, PopupControlContainerTool4})
        ButtonTool17.SharedPropsInternal.Caption = "Blank"
        ButtonTool17.SharedPropsInternal.Category = "Imported"
        ButtonTool17.SharedPropsInternal.Shortcut = System.Windows.Forms.Shortcut.F9
        ButtonTool17.Tag = "AccessionForm"
        ButtonTool18.SharedPropsInternal.Caption = "Receiving Quick Entry"
        ButtonTool18.SharedPropsInternal.Category = "Imported"
        ButtonTool18.SharedPropsInternal.Shortcut = System.Windows.Forms.Shortcut.CtrlQ
        ButtonTool18.Tag = "ReceivingQuickEntryForm"
        ButtonTool19.SharedPropsInternal.Caption = "Template"
        ButtonTool19.SharedPropsInternal.Category = "Imported"
        ButtonTool19.Tag = "TemplatesForm"
        ButtonTool20.SharedPropsInternal.Caption = "Coggins"
        ButtonTool20.SharedPropsInternal.Category = "Imported"
        ButtonTool20.Tag = "CogginsQuickEntryForm"
        ButtonTool21.SharedPropsInternal.Caption = "Carcass Disposal Entry"
        ButtonTool21.SharedPropsInternal.Category = "Imported"
        ButtonTool21.Tag = "CarcassQuickEntryForm"
        ButtonTool22.SharedPropsInternal.Caption = "New Carcass Load"
        ButtonTool22.SharedPropsInternal.Category = "Imported"
        ButtonTool22.Tag = "CarcassLoadManagementForm"
        ButtonTool23.SharedPropsInternal.Caption = "Edit Carcass Load"
        ButtonTool23.SharedPropsInternal.Category = "Imported"
        ButtonTool23.Tag = "CarcassLoadManagementForm"
        ButtonTool24.SharedPropsInternal.Caption = "Advanced Search"
        ButtonTool24.SharedPropsInternal.Category = "Imported"
        ButtonTool24.SharedPropsInternal.Shortcut = System.Windows.Forms.Shortcut.F3
        ButtonTool24.Tag = "AdvancedSearchForm"
        ButtonTool25.SharedPropsInternal.Caption = "Worklist"
        ButtonTool25.SharedPropsInternal.Category = "Imported"
        ButtonTool25.SharedPropsInternal.Shortcut = System.Windows.Forms.Shortcut.CtrlW
        ButtonTool25.Tag = "AccessionWorklistForm"
        ButtonTool26.SharedPropsInternal.Caption = "New Group"
        ButtonTool26.SharedPropsInternal.Category = "Imported"
        ButtonTool26.Tag = "AccessionGroupsForm"
        ButtonTool27.SharedPropsInternal.Caption = "Find Group"
        ButtonTool27.SharedPropsInternal.Category = "Imported"
        ButtonTool27.Tag = "FindAccessionGroupForm"
        ButtonTool28.SharedPropsInternal.Caption = "New Batch"
        ButtonTool28.SharedPropsInternal.Category = "Imported"
        ButtonTool28.Tag = "SpecimenBatchForm"
        ButtonTool29.SharedPropsInternal.Caption = "Find Batch"
        ButtonTool29.SharedPropsInternal.Category = "Imported"
        ButtonTool29.Tag = "FindSpecimenBatchForm"
        ButtonTool30.SharedPropsInternal.Caption = "Mass Result by Test"
        ButtonTool30.SharedPropsInternal.Category = "Imported"
        ButtonTool30.Tag = "MassResultsForm"
        ButtonTool31.SharedPropsInternal.Caption = "Mass Result Coggins"
        ButtonTool31.SharedPropsInternal.Category = "Imported"
        ButtonTool31.Tag = "MassResultsForm"
        Appearance52.Image = CType(resources.GetObject("Appearance52.Image"), Object)
        ButtonTool32.SharedPropsInternal.AppearancesLarge.Appearance = Appearance52
        Appearance21.Image = CType(resources.GetObject("Appearance21.Image"), Object)
        ButtonTool32.SharedPropsInternal.AppearancesSmall.Appearance = Appearance21
        ButtonTool32.SharedPropsInternal.Caption = "Import Results from LimsLink"
        ButtonTool32.SharedPropsInternal.Category = "Imported"
        ButtonTool32.Tag = "LimsLinkTestSelectionForm"
        PopupMenuTool8.SharedPropsInternal.Caption = "Manage &Billing"
        PopupMenuTool8.SharedPropsInternal.Category = "Imported"
        PopupMenuTool8.SharedPropsInternal.MergeOrder = 1
        PopupMenuTool8.SharedPropsInternal.Visible = False
        ButtonTool36.InstanceProps.IsFirstInGroup = True
        ButtonTool38.InstanceProps.IsFirstInGroup = True
        PopupMenuTool8.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool33, ButtonTool34, ButtonTool35, ButtonTool36, ButtonTool37, ButtonTool38, ButtonTool84})
        Appearance79.Image = CType(resources.GetObject("Appearance79.Image"), Object)
        ButtonTool39.SharedPropsInternal.AppearancesSmall.Appearance = Appearance79
        ButtonTool39.SharedPropsInternal.Caption = "Find Billing Accounts"
        ButtonTool39.SharedPropsInternal.Category = "Imported"
        ButtonTool39.Tag = "FindAccountForm"
        Appearance77.Image = CType(resources.GetObject("Appearance77.Image"), Object)
        ButtonTool40.SharedPropsInternal.AppearancesSmall.Appearance = Appearance77
        ButtonTool40.SharedPropsInternal.Caption = "New Monthly Billing Cycle"
        ButtonTool40.SharedPropsInternal.Category = "Imported"
        ButtonTool40.Tag = "MonthlyBillingCycleForm"
        Appearance78.Image = CType(resources.GetObject("Appearance78.Image"), Object)
        ButtonTool41.SharedPropsInternal.AppearancesSmall.Appearance = Appearance78
        ButtonTool41.SharedPropsInternal.Caption = "Find Monthly Billing Cycle"
        ButtonTool41.SharedPropsInternal.Category = "Imported"
        ButtonTool41.Tag = "FindMonthlyBillingCycleForm"
        Appearance75.Image = CType(resources.GetObject("Appearance75.Image"), Object)
        ButtonTool42.SharedPropsInternal.AppearancesSmall.Appearance = Appearance75
        ButtonTool42.SharedPropsInternal.Caption = "New Price Agreement"
        ButtonTool42.SharedPropsInternal.Category = "Imported"
        ButtonTool42.Tag = "PriceAgreementForm"
        Appearance76.Image = CType(resources.GetObject("Appearance76.Image"), Object)
        ButtonTool43.SharedPropsInternal.AppearancesSmall.Appearance = Appearance76
        ButtonTool43.SharedPropsInternal.Caption = "Find Price Agreement"
        ButtonTool43.SharedPropsInternal.Category = "Imported"
        ButtonTool43.Tag = "FindPriceAgreementForm"
        Appearance74.Image = CType(resources.GetObject("Appearance74.Image"), Object)
        ButtonTool44.SharedPropsInternal.AppearancesSmall.Appearance = Appearance74
        ButtonTool44.SharedPropsInternal.Caption = "Batch Payments"
        ButtonTool44.SharedPropsInternal.Category = "Imported"
        ButtonTool44.Tag = "BatchPaymentsForm"
        PopupMenuTool9.SharedPropsInternal.Caption = "&Reports"
        PopupMenuTool9.SharedPropsInternal.Category = "Imported"
        PopupMenuTool9.SharedPropsInternal.MergeOrder = 2
        PopupMenuTool9.SharedPropsInternal.Visible = False
        ButtonTool78.InstanceProps.IsFirstInGroup = True
        PopupMenuTool9.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool45, ButtonTool46, PopupMenuTool13, ButtonTool78, ButtonTool2})
        Appearance30.FontData.UnderlineAsString = "True"
        Appearance30.ForeColor = System.Drawing.Color.Blue
        ButtonTool47.SharedPropsInternal.AppearancesSmall.Appearance = Appearance30
        ButtonTool47.SharedPropsInternal.Caption = "Browse Reports"
        ButtonTool47.SharedPropsInternal.Category = "Imported"
        Appearance80.Image = CType(resources.GetObject("Appearance80.Image"), Object)
        ButtonTool48.SharedPropsInternal.AppearancesSmall.Appearance = Appearance80
        ButtonTool48.SharedPropsInternal.Caption = "Report Worklist"
        ButtonTool48.SharedPropsInternal.Category = "Imported"
        ButtonTool48.Tag = "AccessionWorklistReportForm"
        PopupMenuTool10.SharedPropsInternal.Caption = "&Maintenance"
        PopupMenuTool10.SharedPropsInternal.Category = "Imported"
        PopupMenuTool10.SharedPropsInternal.MergeOrder = 3
        PopupMenuTool10.SharedPropsInternal.Visible = False
        ButtonTool152.InstanceProps.IsFirstInGroup = True
        ButtonTool51.InstanceProps.IsFirstInGroup = True
        ButtonTool52.InstanceProps.IsFirstInGroup = True
        ButtonTool54.InstanceProps.IsFirstInGroup = True
        ButtonTool55.InstanceProps.IsFirstInGroup = True
        ButtonTool56.InstanceProps.IsFirstInGroup = True
        ButtonTool57.InstanceProps.IsFirstInGroup = True
        PopupMenuTool10.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool49, ButtonTool50, ButtonTool152, ButtonTool153, ButtonTool51, ButtonTool52, ButtonTool53, ButtonTool54, ButtonTool55, ButtonTool56, ButtonTool151, ButtonTool57})
        ButtonTool58.SharedPropsInternal.Caption = "New Party"
        ButtonTool58.SharedPropsInternal.Category = "Imported"
        ButtonTool58.Tag = "btnNewParty"
        ButtonTool59.SharedPropsInternal.Caption = "Find Party"
        ButtonTool59.SharedPropsInternal.Category = "Imported"
        ButtonTool59.Tag = "FindPartyForm"
        Appearance31.Image = CType(resources.GetObject("Appearance31.Image"), Object)
        ButtonTool60.SharedPropsInternal.AppearancesSmall.Appearance = Appearance31
        ButtonTool60.SharedPropsInternal.Caption = "System Table Maintenance"
        ButtonTool60.SharedPropsInternal.Category = "Imported"
        ButtonTool60.Tag = "ListMaintenanceForm"
        Appearance32.Image = CType(resources.GetObject("Appearance32.Image"), Object)
        ButtonTool61.SharedPropsInternal.AppearancesSmall.Appearance = Appearance32
        ButtonTool61.SharedPropsInternal.Caption = "New User"
        ButtonTool61.SharedPropsInternal.Category = "Imported"
        ButtonTool61.Tag = "UserMaintenanceForm"
        Appearance33.Image = CType(resources.GetObject("Appearance33.Image"), Object)
        ButtonTool62.SharedPropsInternal.AppearancesSmall.Appearance = Appearance33
        ButtonTool62.SharedPropsInternal.Caption = "Find User"
        ButtonTool62.SharedPropsInternal.Category = "Imported"
        ButtonTool62.Tag = "FindUserForm"
        ButtonTool63.SharedPropsInternal.Caption = "Find Bulk Prints"
        ButtonTool63.SharedPropsInternal.Category = "Imported"
        ButtonTool63.Tag = "FindBulkPrintsForm"
        Appearance34.Image = CType(resources.GetObject("Appearance34.Image"), Object)
        ButtonTool64.SharedPropsInternal.AppearancesSmall.Appearance = Appearance34
        ButtonTool64.SharedPropsInternal.Caption = "User Groups"
        ButtonTool64.SharedPropsInternal.Category = "Imported"
        ButtonTool64.Tag = "AccessGroupMaintenanceForm"
        ButtonTool65.SharedPropsInternal.Caption = "Template Maintenance"
        ButtonTool65.SharedPropsInternal.Category = "Imported"
        ButtonTool65.Tag = "TemplatesForm"
        ButtonTool66.SharedPropsInternal.Caption = "Message Request Queue Maintenance"
        ButtonTool66.SharedPropsInternal.Category = "Imported"
        ButtonTool66.Tag = "ExternalMessageRequestQueueMaintenanceForm"
        ButtonTool67.SharedPropsInternal.Caption = "My Profile"
        ButtonTool67.SharedPropsInternal.Category = "Imported"
        PopupMenuTool11.SharedPropsInternal.Caption = "&Tools"
        PopupMenuTool11.SharedPropsInternal.Category = "Imported"
        PopupMenuTool11.SharedPropsInternal.MergeOrder = 5
        PopupMenuTool11.SharedPropsInternal.Visible = False
        ButtonTool107.InstanceProps.IsFirstInGroup = True
        PopupMenuTool20.InstanceProps.IsFirstInGroup = True
        PopupMenuTool18.InstanceProps.IsFirstInGroup = True
        ButtonTool71.InstanceProps.IsFirstInGroup = True
        PopupMenuTool12.InstanceProps.IsFirstInGroup = True
        MdiWindowListTool1.InstanceProps.IsFirstInGroup = False
        PopupMenuTool11.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool68, ButtonTool69, ButtonTool107, PopupMenuTool20, PopupMenuTool18, ButtonTool71, PopupMenuTool12, PopupMenuTool16, MdiWindowListTool1})
        Appearance35.Image = CType(resources.GetObject("Appearance35.Image"), Object)
        ButtonTool73.SharedPropsInternal.AppearancesSmall.Appearance = Appearance35
        ButtonTool73.SharedPropsInternal.Caption = "Help"
        ButtonTool73.SharedPropsInternal.Category = "Imported"
        ButtonTool73.SharedPropsInternal.Shortcut = System.Windows.Forms.Shortcut.F1
        ButtonTool74.SharedPropsInternal.Caption = "About"
        ButtonTool74.SharedPropsInternal.Category = "Imported"
        Appearance36.Image = CType(resources.GetObject("Appearance36.Image"), Object)
        ButtonTool75.SharedPropsInternal.AppearancesSmall.Appearance = Appearance36
        ButtonTool75.SharedPropsInternal.Caption = "Refresh Local Cache"
        ButtonTool75.SharedPropsInternal.Category = "Imported"
        Appearance37.Image = CType(resources.GetObject("Appearance37.Image"), Object)
        ButtonTool76.SharedPropsInternal.AppearancesSmall.Appearance = Appearance37
        ButtonTool76.SharedPropsInternal.Caption = "Logout"
        ButtonTool76.SharedPropsInternal.Category = "Imported"
        MdiWindowListTool2.DisplayArrangeIconsCommand = Infragistics.Win.UltraWinToolbars.MdiWindowListCommandDisplayStyle.Hide
        MdiWindowListTool2.DisplayCascadeCommand = Infragistics.Win.UltraWinToolbars.MdiWindowListCommandDisplayStyle.Hide
        MdiWindowListTool2.DisplayMinimizeCommand = Infragistics.Win.UltraWinToolbars.MdiWindowListCommandDisplayStyle.Hide
        MdiWindowListTool2.DisplayTileHorizontalCommand = Infragistics.Win.UltraWinToolbars.MdiWindowListCommandDisplayStyle.Hide
        MdiWindowListTool2.DisplayTileVerticalCommand = Infragistics.Win.UltraWinToolbars.MdiWindowListCommandDisplayStyle.Hide
        MdiWindowListTool2.SharedPropsInternal.Caption = "Window List"
        MdiWindowListTool2.SharedPropsInternal.Category = "Imported"
        PopupMenuTool6.SharedPropsInternal.Caption = "Status Bar"
        PopupMenuTool6.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool82})
        Appearance69.Image = CType(resources.GetObject("Appearance69.Image"), Object)
        ButtonTool83.SharedPropsInternal.AppearancesSmall.Appearance = Appearance69
        ButtonTool83.SharedPropsInternal.Caption = "Export Status List"
        LabelTool3.SharedPropsInternal.Caption = "Quick Search"
        LabelTool3.SharedPropsInternal.MergeOrder = 6
        LabelTool3.SharedPropsInternal.Spring = True
        ControlContainerTool2.ControlName = "ctlAccessionNumber"
        ControlContainerTool2.SharedPropsInternal.MergeOrder = 7
        ControlContainerTool2.SharedPropsInternal.Visible = False
        ControlContainerTool2.SharedPropsInternal.Width = 104
        ControlContainerTool4.SharedPropsInternal.MergeOrder = 8
        ControlContainerTool4.SharedPropsInternal.Width = 65
        Appearance61.Image = CType(resources.GetObject("Appearance61.Image"), Object)
        ButtonTool80.SharedPropsInternal.AppearancesSmall.Appearance = Appearance61
        ButtonTool80.SharedPropsInternal.Caption = "Delete and Refresh Local Cache "
        ButtonTool85.SharedPropsInternal.Caption = "Finance Charges"
        ButtonTool85.Tag = "FinanceChargesForm"
        ButtonTool87.SharedPropsInternal.Caption = "Import Accession"
        ButtonTool87.SharedPropsInternal.Category = "Imported"
        ButtonTool87.SharedPropsInternal.Visible = False
        PopupControlContainerTool3.ControlName = "gridRecentAccessions"
        PopupControlContainerTool3.SharedPropsInternal.Caption = "Recently Viewed Accessions"
        ButtonTool89.SharedPropsInternal.Caption = " Disposition"
        ButtonTool89.Tag = "SpecimenDispositionForm"
        ButtonTool91.SharedPropsInternal.Caption = " Delivery and Verification"
        ButtonTool91.Tag = "SpecimenDeliveryVerificationForm"
        PopupMenuTool14.DropDownArrowStyle = Infragistics.Win.UltraWinToolbars.DropDownArrowStyle.Segmented
        PopupMenuTool14.SharedPropsInternal.Caption = "Quick Entry Forms"
        ButtonTool97.SharedPropsInternal.Caption = "Single Animal Express Entry"
        ButtonTool97.Tag = "SingleAnimalExpressEntryForm"
        Appearance47.Image = CType(resources.GetObject("Appearance47.Image"), Object)
        ButtonTool4.SharedPropsInternal.AppearancesSmall.Appearance = Appearance47
        ButtonTool4.SharedPropsInternal.Caption = "Incident Reports"
        ButtonTool4.Tag = "IncidentReportsForm"
        Appearance50.Image = CType(resources.GetObject("Appearance50.Image"), Object)
        PopupMenuTool15.SharedPropsInternal.AppearancesSmall.Appearance = Appearance50
        PopupMenuTool15.SharedPropsInternal.Caption = "Troubleshooting"
        PopupMenuTool15.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool93, ButtonTool95, ButtonTool100})
        Appearance49.Image = CType(resources.GetObject("Appearance49.Image"), Object)
        ButtonTool96.SharedPropsInternal.AppearancesSmall.Appearance = Appearance49
        ButtonTool96.SharedPropsInternal.Caption = "Reauthenticate"
        Appearance15.Image = CType(resources.GetObject("Appearance15.Image"), Object)
        ButtonTool94.SharedPropsInternal.AppearancesSmall.Appearance = Appearance15
        ButtonTool94.SharedPropsInternal.Caption = "Test Connection"
        Appearance62.Image = CType(resources.GetObject("Appearance62.Image"), Object)
        ButtonTool101.SharedPropsInternal.AppearancesSmall.Appearance = Appearance62
        ButtonTool101.SharedPropsInternal.Caption = "Run Test Report"
        Appearance63.Image = CType(resources.GetObject("Appearance63.Image"), Object)
        PopupMenuTool17.SharedPropsInternal.AppearancesSmall.Appearance = Appearance63
        PopupMenuTool17.SharedPropsInternal.Caption = "Troubleshooting"
        PopupMenuTool17.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool102, ButtonTool114})
        Appearance64.Image = CType(resources.GetObject("Appearance64.Image"), Object)
        ButtonTool103.SharedPropsInternal.AppearancesSmall.Appearance = Appearance64
        ButtonTool103.SharedPropsInternal.Caption = "Start Verbose Mode"
        ButtonTool103.SharedPropsInternal.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftL
        Appearance53.Image = CType(resources.GetObject("Appearance53.Image"), Object)
        ButtonTool104.SharedPropsInternal.AppearancesSmall.Appearance = Appearance53
        ButtonTool104.SharedPropsInternal.Caption = "Import Results from Instrument"
        ButtonTool104.Tag = "InstrumentImportForm"
        Appearance29.Image = CType(resources.GetObject("Appearance29.Image"), Object)
        ButtonTool105.SharedPropsInternal.AppearancesSmall.Appearance = Appearance29
        ButtonTool105.SharedPropsInternal.Caption = "Preferences"
        Appearance68.Image = CType(resources.GetObject("Appearance68.Image"), Object)
        ButtonTool77.SharedPropsInternal.AppearancesSmall.Appearance = Appearance68
        ButtonTool77.SharedPropsInternal.Caption = "Flush Server Cache"
        ButtonTool77.SharedPropsInternal.Visible = False
        Appearance70.Image = CType(resources.GetObject("Appearance70.Image"), Object)
        PopupMenuTool19.SharedPropsInternal.AppearancesSmall.Appearance = Appearance70
        PopupMenuTool19.SharedPropsInternal.Caption = "Administrative"
        PopupMenuTool19.SharedPropsInternal.Visible = False
        PopupMenuTool19.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool149, ButtonTool144, ButtonTool140, ButtonTool156, ButtonTool81, ButtonTool141, ButtonTool79, ButtonTool145, ButtonTool139})
        Appearance24.Image = CType(resources.GetObject("Appearance24.Image"), Object)
        ButtonTool72.SharedPropsInternal.AppearancesSmall.Appearance = Appearance24
        ButtonTool72.SharedPropsInternal.Caption = "Security Store"
        ButtonTool72.SharedPropsInternal.Visible = False
        Appearance56.Image = CType(resources.GetObject("Appearance56.Image"), Object)
        PopupMenuTool21.SharedPropsInternal.AppearancesSmall.Appearance = Appearance56
        PopupMenuTool21.SharedPropsInternal.Caption = "Cache"
        PopupMenuTool21.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool108, ButtonTool109})
        Appearance1.Image = CType(resources.GetObject("Appearance1.Image"), Object)
        ButtonTool70.SharedPropsInternal.AppearancesSmall.Appearance = Appearance1
        ButtonTool70.SharedPropsInternal.Caption = "Application Settings"
        ButtonTool70.SharedPropsInternal.Visible = False
        ButtonTool111.SharedPropsInternal.Caption = "Print Barcodes"
        ButtonTool113.SharedPropsInternal.Caption = "Print Barcodes"
        Appearance38.Image = CType(resources.GetObject("Appearance38.Image"), Object)
        ButtonTool110.SharedPropsInternal.AppearancesSmall.Appearance = Appearance38
        ButtonTool110.SharedPropsInternal.Caption = "Log Viewer"
        PopupMenuTool23.SharedPropsInternal.Caption = "&Quality Control"
        PopupMenuTool23.SharedPropsInternal.MergeOrder = 2
        PopupMenuTool23.SharedPropsInternal.Visible = False
        PopupMenuTool23.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool115, ButtonTool116, PopupMenuTool24})
        ButtonTool117.SharedPropsInternal.Caption = "New QC Test Run"
        ButtonTool117.Tag = "QCTestRunForm"
        ButtonTool118.SharedPropsInternal.Caption = "Find QC Test Run"
        ButtonTool118.Tag = "FindQCTestRunForm"
        PopupMenuTool25.SharedPropsInternal.Caption = "QC Maintenance"
        PopupMenuTool25.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool132, ButtonTool120, ButtonTool135, ButtonTool121, ButtonTool130, ButtonTool131, ButtonTool128, ButtonTool129})
        ButtonTool122.SharedPropsInternal.Caption = "QC Reagents/Lots"
        ButtonTool123.SharedPropsInternal.Caption = "QC "
        ButtonTool124.SharedPropsInternal.Caption = "QC Tests"
        ButtonTool125.SharedPropsInternal.Caption = "QC Types"
        ButtonTool126.SharedPropsInternal.Caption = "QC Suppliers"
        ButtonTool127.SharedPropsInternal.Caption = "QC Corrective Actions"
        ButtonTool133.SharedPropsInternal.Caption = "QC Reagents"
        ButtonTool133.Tag = "QCReagentsMaintenanceForm"
        ButtonTool134.SharedPropsInternal.Caption = "QC Reagent Lots"
        ButtonTool134.Tag = "QCReagentLotsMaintenanceForm"
        ButtonTool136.SharedPropsInternal.Caption = "QC Lots"
        ButtonTool136.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText
        Appearance39.Image = CType(resources.GetObject("Appearance39.Image"), Object)
        ButtonTool119.SharedPropsInternal.AppearancesSmall.Appearance = Appearance39
        ButtonTool119.SharedPropsInternal.Caption = "Resources"
        Appearance60.Image = CType(resources.GetObject("Appearance60.Image"), Object)
        ButtonTool138.SharedPropsInternal.AppearancesSmall.Appearance = Appearance60
        ButtonTool138.SharedPropsInternal.Caption = "Type Key References"
        ButtonTool137.SharedPropsInternal.Caption = "Accession Queries"
        ButtonTool137.Tag = "menuAccessionQueries"
        Appearance54.Image = CType(resources.GetObject("Appearance54.Image"), Object)
        ButtonTool142.SharedPropsInternal.AppearancesSmall.Appearance = Appearance54
        ButtonTool142.SharedPropsInternal.Caption = "Application Objects"
        Appearance55.Image = CType(resources.GetObject("Appearance55.Image"), Object)
        ButtonTool143.SharedPropsInternal.AppearancesSmall.Appearance = Appearance55
        ButtonTool143.SharedPropsInternal.Caption = "System Tables"
        Appearance48.Image = CType(resources.GetObject("Appearance48.Image"), Object)
        ButtonTool148.SharedPropsInternal.AppearancesSmall.Appearance = Appearance48
        ButtonTool148.SharedPropsInternal.Caption = "Application Areas"
        Appearance42.Image = CType(resources.GetObject("Appearance42.Image"), Object)
        ButtonTool146.SharedPropsInternal.AppearancesSmall.Appearance = Appearance42
        ButtonTool146.SharedPropsInternal.Caption = "New Party Group"
        ButtonTool146.Tag = "PartyGroupForm"
        Appearance46.Image = CType(resources.GetObject("Appearance46.Image"), Object)
        ButtonTool147.SharedPropsInternal.AppearancesSmall.Appearance = Appearance46
        ButtonTool147.SharedPropsInternal.Caption = "Find Party Group"
        ButtonTool147.Tag = "FindPartyGroupForm"
        Appearance40.Image = CType(resources.GetObject("Appearance40.Image"), Object)
        ButtonTool150.SharedPropsInternal.AppearancesSmall.Appearance = Appearance40
        ButtonTool150.SharedPropsInternal.Caption = "Document Import Maintenance"
        ButtonTool150.Tag = "DocumentImportMaintenanceForm"
        Appearance57.Image = CType(resources.GetObject("Appearance57.Image"), Object)
        ButtonTool154.SharedPropsInternal.AppearancesSmall.Appearance = Appearance57
        ButtonTool154.SharedPropsInternal.Caption = "Client Cache SQL Statements"
        ButtonTool155.SharedPropsInternal.Caption = "Accession Quick Entry"
        ButtonTool155.Tag = "AccessionQuickEntryForm"
        ButtonTool159.SharedPropsInternal.Caption = "Open Form"
        ButtonTool159.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        Me.mainMenu.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {PopupMenuTool7, ButtonTool17, ButtonTool18, ButtonTool19, ButtonTool20, ButtonTool21, ButtonTool22, ButtonTool23, ButtonTool24, ButtonTool25, ButtonTool26, ButtonTool27, ButtonTool28, ButtonTool29, ButtonTool30, ButtonTool31, ButtonTool32, PopupMenuTool8, ButtonTool39, ButtonTool40, ButtonTool41, ButtonTool42, ButtonTool43, ButtonTool44, PopupMenuTool9, ButtonTool47, ButtonTool48, PopupMenuTool10, ButtonTool58, ButtonTool59, ButtonTool60, ButtonTool61, ButtonTool62, ButtonTool63, ButtonTool64, ButtonTool65, ButtonTool66, ButtonTool67, PopupMenuTool11, ButtonTool73, ButtonTool74, ButtonTool75, ButtonTool76, MdiWindowListTool2, PopupMenuTool6, ButtonTool83, LabelTool3, ControlContainerTool2, ControlContainerTool4, ButtonTool80, ButtonTool85, ButtonTool87, PopupControlContainerTool3, ButtonTool89, ButtonTool91, PopupMenuTool14, ButtonTool97, ButtonTool4, PopupMenuTool15, ButtonTool96, ButtonTool94, ButtonTool101, PopupMenuTool17, ButtonTool103, ButtonTool104, ButtonTool105, ButtonTool77, PopupMenuTool19, ButtonTool72, PopupMenuTool21, ButtonTool70, ButtonTool111, ButtonTool113, ButtonTool110, PopupMenuTool23, ButtonTool117, ButtonTool118, PopupMenuTool25, ButtonTool122, ButtonTool123, ButtonTool124, ButtonTool125, ButtonTool126, ButtonTool127, ButtonTool133, ButtonTool134, ButtonTool136, ButtonTool119, ButtonTool138, ButtonTool137, ButtonTool142, ButtonTool143, ButtonTool148, ButtonTool146, ButtonTool147, ButtonTool150, ButtonTool154, ButtonTool155, ButtonTool159})
        '
        '_MDIMain_Toolbars_Dock_Area_Left
        '
        Me._MDIMain_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._MDIMain_Toolbars_Dock_Area_Left.BackColor = System.Drawing.SystemColors.Control
        Me._MDIMain_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left
        Me._MDIMain_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText
        Me._MDIMain_Toolbars_Dock_Area_Left.Location = New System.Drawing.Point(0, 25)
        Me._MDIMain_Toolbars_Dock_Area_Left.Name = "_MDIMain_Toolbars_Dock_Area_Left"
        Me._MDIMain_Toolbars_Dock_Area_Left.Size = New System.Drawing.Size(0, 708)
        Me._MDIMain_Toolbars_Dock_Area_Left.ToolbarsManager = Me.mainMenu
        '
        '_MDIMain_Toolbars_Dock_Area_Right
        '
        Me._MDIMain_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._MDIMain_Toolbars_Dock_Area_Right.BackColor = System.Drawing.SystemColors.Control
        Me._MDIMain_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right
        Me._MDIMain_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText
        Me._MDIMain_Toolbars_Dock_Area_Right.Location = New System.Drawing.Point(1252, 25)
        Me._MDIMain_Toolbars_Dock_Area_Right.Name = "_MDIMain_Toolbars_Dock_Area_Right"
        Me._MDIMain_Toolbars_Dock_Area_Right.Size = New System.Drawing.Size(0, 708)
        Me._MDIMain_Toolbars_Dock_Area_Right.ToolbarsManager = Me.mainMenu
        '
        '_MDIMain_Toolbars_Dock_Area_Top
        '
        Me._MDIMain_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._MDIMain_Toolbars_Dock_Area_Top.BackColor = System.Drawing.SystemColors.Control
        Me._MDIMain_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top
        Me._MDIMain_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText
        Me._MDIMain_Toolbars_Dock_Area_Top.Location = New System.Drawing.Point(0, 0)
        Me._MDIMain_Toolbars_Dock_Area_Top.Name = "_MDIMain_Toolbars_Dock_Area_Top"
        Me._MDIMain_Toolbars_Dock_Area_Top.Size = New System.Drawing.Size(1252, 25)
        Me._MDIMain_Toolbars_Dock_Area_Top.ToolbarsManager = Me.mainMenu
        '
        '_MDIMain_Toolbars_Dock_Area_Bottom
        '
        Me._MDIMain_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._MDIMain_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.SystemColors.Control
        Me._MDIMain_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom
        Me._MDIMain_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText
        Me._MDIMain_Toolbars_Dock_Area_Bottom.Location = New System.Drawing.Point(0, 733)
        Me._MDIMain_Toolbars_Dock_Area_Bottom.Name = "_MDIMain_Toolbars_Dock_Area_Bottom"
        Me._MDIMain_Toolbars_Dock_Area_Bottom.Size = New System.Drawing.Size(1252, 0)
        Me._MDIMain_Toolbars_Dock_Area_Bottom.ToolbarsManager = Me.mainMenu
        '
        'ToolTipManager
        '
        Me.ToolTipManager.ContainingControl = Me
        Me.ToolTipManager.DisplayStyle = Infragistics.Win.ToolTipDisplayStyle.Office2007
        '
        '_validationImages
        '
        Me._validationImages.ImageStream = CType(resources.GetObject("_validationImages.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me._validationImages.TransparentColor = System.Drawing.Color.Transparent
        Me._validationImages.Images.SetKeyName(0, "")
        Me._validationImages.Images.SetKeyName(1, "")
        Me._validationImages.Images.SetKeyName(2, "")
        '
        'UltraExplorerBarContainerControl3
        '
        Me.UltraExplorerBarContainerControl3.Location = New System.Drawing.Point(-10000, -10000)
        Me.UltraExplorerBarContainerControl3.Name = "UltraExplorerBarContainerControl3"
        Me.UltraExplorerBarContainerControl3.Size = New System.Drawing.Size(199, 0)
        Me.UltraExplorerBarContainerControl3.TabIndex = 1
        '
        'UltraExplorerBarContainerControl4
        '
        Me.UltraExplorerBarContainerControl4.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl4.Name = "UltraExplorerBarContainerControl4"
        Me.UltraExplorerBarContainerControl4.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl4.TabIndex = 2
        '
        'UltraExplorerBarContainerControl5
        '
        Me.UltraExplorerBarContainerControl5.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl5.Name = "UltraExplorerBarContainerControl5"
        Me.UltraExplorerBarContainerControl5.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl5.TabIndex = 1
        '
        'UltraExplorerBarContainerControl6
        '
        Me.UltraExplorerBarContainerControl6.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl6.Name = "UltraExplorerBarContainerControl6"
        Me.UltraExplorerBarContainerControl6.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl6.TabIndex = 2
        '
        'WindowDockingArea7
        '
        Me.WindowDockingArea7.Dock = System.Windows.Forms.DockStyle.Right
        Me.WindowDockingArea7.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.WindowDockingArea7.Location = New System.Drawing.Point(541, 22)
        Me.WindowDockingArea7.Name = "WindowDockingArea7"
        Me.WindowDockingArea7.Owner = Me.dockManager
        Me.WindowDockingArea7.Size = New System.Drawing.Size(228, 498)
        Me.WindowDockingArea7.TabIndex = 22
        '
        'UltraExplorerBarContainerControl7
        '
        Me.UltraExplorerBarContainerControl7.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl7.Name = "UltraExplorerBarContainerControl7"
        Me.UltraExplorerBarContainerControl7.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl7.TabIndex = 1
        '
        'UltraExplorerBarContainerControl8
        '
        Me.UltraExplorerBarContainerControl8.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl8.Name = "UltraExplorerBarContainerControl8"
        Me.UltraExplorerBarContainerControl8.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl8.TabIndex = 2
        '
        'UltraExplorerBarContainerControl9
        '
        Me.UltraExplorerBarContainerControl9.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl9.Name = "UltraExplorerBarContainerControl9"
        Me.UltraExplorerBarContainerControl9.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl9.TabIndex = 1
        '
        'UltraExplorerBarContainerControl10
        '
        Me.UltraExplorerBarContainerControl10.Location = New System.Drawing.Point(0, 0)
        Me.UltraExplorerBarContainerControl10.Name = "UltraExplorerBarContainerControl10"
        Me.UltraExplorerBarContainerControl10.Size = New System.Drawing.Size(200, 100)
        Me.UltraExplorerBarContainerControl10.TabIndex = 2
        '
        'uDeskTopAlert
        '
        Me.uDeskTopAlert.AllowMove = Infragistics.Win.DefaultableBoolean.[False]
        Appearance41.Image = CType(resources.GetObject("Appearance41.Image"), Object)
        Me.uDeskTopAlert.Appearance = Appearance41
        Me.uDeskTopAlert.AutoClose = Infragistics.Win.DefaultableBoolean.[False]
        Appearance51.FontData.UnderlineAsString = "True"
        Appearance51.ForeColor = System.Drawing.Color.Blue
        Appearance51.TextHAlignAsString = "Center"
        Me.uDeskTopAlert.FooterTextAppearance = Appearance51
        Me.uDeskTopAlert.MultipleWindowDisplayStyle = Infragistics.Win.Misc.MultipleWindowDisplayStyle.Tiled
        Me.uDeskTopAlert.Style = Infragistics.Win.Misc.DesktopAlertStyle.Office2007
        Me.uDeskTopAlert.TreatCaptionAsLink = Infragistics.Win.DefaultableBoolean.[False]
        Me.uDeskTopAlert.TreatFooterTextAsLink = Infragistics.Win.DefaultableBoolean.[True]
        Me.uDeskTopAlert.TreatTextAsLink = Infragistics.Win.DefaultableBoolean.[False]
        '
        'mdiTabbedManager
        '
        Appearance13.BackColor = System.Drawing.Color.FromArgb(CType(CType(224, Byte), Integer), CType(CType(223, Byte), Integer), CType(CType(227, Byte), Integer))
        Me.mdiTabbedManager.Appearance = Appearance13
        Me.mdiTabbedManager.MdiParent = Me
        Appearance44.BackColor = System.Drawing.Color.Black
        Me.mdiTabbedManager.TabSettings.ActiveTabAppearance = Appearance44
        Appearance45.BackColor = System.Drawing.Color.DarkGray
        Appearance45.BackColor2 = System.Drawing.Color.White
        Appearance45.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical
        Me.mdiTabbedManager.TabSettings.SelectedTabAppearance = Appearance45
        Appearance43.BackColor = System.Drawing.Color.FromArgb(CType(CType(214, Byte), Integer), CType(CType(223, Byte), Integer), CType(CType(247, Byte), Integer))
        Me.mdiTabbedManager.TabSettings.TabAppearance = Appearance43
        Me.mdiTabbedManager.ViewStyle = Infragistics.Win.UltraWinTabbedMdi.ViewStyle.VisualStudio2005
        '
        '_bLogOffWorker
        '
        Me._bLogOffWorker.WorkerReportsProgress = True
        Me._bLogOffWorker.WorkerSupportsCancellation = True
        '
        'MDIMain
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.SystemColors.Control
        Me.ClientSize = New System.Drawing.Size(1252, 733)
        Me.Controls.Add(Me._MDIMainAutoHideControl)
        Me.Controls.Add(Me.txtFocusHolder)
        Me.Controls.Add(Me.WindowDockingArea6)
        Me.Controls.Add(Me.WindowDockingArea7)
        Me.Controls.Add(Me._MDIMainUnpinnedTabAreaTop)
        Me.Controls.Add(Me._MDIMainUnpinnedTabAreaBottom)
        Me.Controls.Add(Me._MDIMainUnpinnedTabAreaLeft)
        Me.Controls.Add(Me._MDIMainUnpinnedTabAreaRight)
        Me.Controls.Add(Me._MDIMain_Toolbars_Dock_Area_Left)
        Me.Controls.Add(Me._MDIMain_Toolbars_Dock_Area_Right)
        Me.Controls.Add(Me._MDIMain_Toolbars_Dock_Area_Bottom)
        Me.Controls.Add(Me._MDIMain_Toolbars_Dock_Area_Top)
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.IsMdiContainer = True
        Me.KeyPreview = True
        Me.Name = "MDIMain"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "MDI Drag Test"
        Me.WindowState = System.Windows.Forms.FormWindowState.Maximized
        Me.UltraExplorerBarContainerControl2.ResumeLayout(False)
        Me.UltraExplorerBarContainerControl2.PerformLayout()
        CType(Me.txtSystemMessageDetails, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.paneSystemMessages, System.ComponentModel.ISupportInitialize).EndInit()
        Me.paneSystemMessages.ResumeLayout(False)
        CType(Me.paneRolodex, System.ComponentModel.ISupportInitialize).EndInit()
        Me.paneRolodex.ResumeLayout(False)
        CType(Me.dockManager, System.ComponentModel.ISupportInitialize).EndInit()
        Me._MDIMainAutoHideControl.ResumeLayout(False)
        Me.DockableWindow1.ResumeLayout(False)
        Me.DockableWindow3.ResumeLayout(False)
        CType(Me.mainMenu, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.uDeskTopAlert, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.mdiTabbedManager, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)
        Me.PerformLayout()

    End Sub

#End Region

    Friend Sub LaunchForm(ByVal frm As BasePageMdiChild)
        Try

            frm.WindowState = FormWindowState.Normal
            frm.Show()

            frm.MdiParent = Me
            dockManager.DockAreas.Add(UltraWinDock.DockedLocation.DockedTop, "TopArea")
            Dim da1 As New UltraWinDock.DockableControlPane(frm.Text, frm)
            dockManager.DockAreas("TopArea").Size = New Size(Me.Width, Me.Height - 80)
            dockManager.DockAreas("TopArea").ChildPaneStyle = UltraWinDock.ChildPaneStyle.TabGroup
            dockManager.DockAreas("TopArea").Panes.Add(da1)

        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub



    Private Sub mainMenu_ToolClick(sender As Object, e As Infragistics.Win.UltraWinToolbars.ToolClickEventArgs) Handles mainMenu.ToolClick
        If e.Tool.Key = "Open Form" Then
            Dim frm As New Form1
            frm.Text = Guid.NewGuid.ToString
            LaunchForm(frm)


        End If
    End Sub

    Private Sub MDIMain_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        mainMenu.Visible = True

        If Not mdiTabbedManager.Enabled Then
            Dim currentActiveMdiChild As BasePageMdiChild = Nothing
            If Not Me.ActiveMdiChild Is Nothing Then
                currentActiveMdiChild = ActiveMdiChild
            End If

            mdiTabbedManager.Enabled = True

            For Each mdiChild As BasePageMdiChild In Me.MdiChildren
                mdiChild.WindowState = FormWindowState.Maximized
            Next

            For Each mdiChild As BasePageMdiChild In Me.MdiChildren
                mdiChild.Visible = True
            Next

            If Not currentActiveMdiChild Is Nothing Then
                currentActiveMdiChild.BringToFront()
            End If
        End If

    End Sub

#Region " Overrides "
    Protected Overrides Sub OnMdiChildActivate(ByVal e As System.EventArgs)
        MyBase.OnMdiChildActivate(e)
        Try
            Dim tForm As Type = GetType(Form)

            tForm.InvokeMember("FormerlyActiveMdiChild", _
                               Reflection.BindingFlags.Instance Or _
                               Reflection.BindingFlags.SetProperty Or _
                               Reflection.BindingFlags.NonPublic, _
                               Nothing, _
                               Me, _
                               New Object() {Nothing})
        Catch ex As Exception
            'hmm....
            ' Something went wrong. Maybe we don't have enough permissions 
            ' to perform this or the "FormerlyActiveMdiChild" property 
            ' no longer exists. 
        End Try

    End Sub
#End Region

End Class
